Draft Trimex

From FreeCAD Documentation
Jump to navigation Jump to search
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский
Arrow-left.svg Previous: Draft Offset.svg Offset
Next: Stretch Draft Stretch.svg Arrow-right.svg

Draft Trimex.svg Draft Trimex

Menu location
Modification → Trimex
Workbenches
Draft, Arch
Default shortcut
T R
Introduced in version
-
See also
Part Extrude

Description

The Draft Trimex.svg Draft Trimex command trims or extends a selected object. Intersections with the edge of another object can be used to determine new endpoints. The command can also be used to extrude a face, in which case it creates a Part Extrude object.

Draft trimex example.jpg

Top: a Draft Wire extended and then trimmed. Bottom: a face extruded into a solid body.

Trim or extend

Usage

  1. Optionally select one object. The object must be a Draft Line, a Draft Wire, a Draft Arc or a Draft Circle (which can only be trimmed). If the selected object is closed it must have its DataMake Face property set to false.
  2. There are several ways to invoke the command:
    • Press the Draft Trimex.svg Draft Trimex button.
    • Select the Modification → Draft Trimex.svg Trimex option from the menu.
    • Use the keyboard shortcut: T then R.
  3. If you have not yet selected an object: select an object in the 3D view.
  4. The Trimex task panel opens. See Options for more information.
  5. Move the pointer in the 3D view so that the preview matches the desired result. If required use the modifier keys as explained in the Options.
  6. Do one of the following:
    • Pick a point in the 3D view.
    • Enter a Distance or an Angle. The distance is a delta distance. This option does not work if modifier keys are used.
    • Move the pointer over an edge belonging to another object, and click when this edge is highlighted, to trim or extend the selected object using an intersection with the highlighted edge as the new endpoint. Note that Draft Snaps can have an undesirable impact here. In some cases it may be required to turn them off temporarily.

Options

The single character keyboard shortcut and the modifier keys mentioned here can be changed. See Draft Preferences.

  • The solution with the largest length determines the default direction of the command. Hold down Alt to invert this direction.
  • Hold down Shift to restrict the operation to the current segment of a Draft Wire.
  • Press S to switch Draft snapping on or off.

Here is an example to explain the modifier keys. The left edge or the bottom edge of the U-shaped wire was extended. All Draft Snaps were turned off.

Draft Trimex example2.png

  1. The arc was clicked near the bottom left corner of the wire. This is the default behavior.
  2. Alt was held down while the arc was clicked near the bottom left corner of the wire.
  3. Y was pressed, and while hovering over the left edge Shift was held down and then the arc was clicked. Pressing Y is only required for edges that are more or less parallel to the Y axis.

Extrude

Usage

See also: Draft Snap and Draft Constrain.

  1. It can be helpful to first change the Draft working plane so that it is not coplanar with the face you want to extrude.
  2. Optionally select a single face or an object with a single face.
  3. There are several ways to invoke the command:
    • Press the Draft Trimex.svg Draft Trimex button.
    • Select the Modification → Draft Trimex.svg Trimex option from the menu.
    • Use the keyboard shortcut: T then R.
  4. If you have not yet selected an object or a face: select an object with a single face in the 3D view.
  5. The Trimex task panel opens. See Options for more information.
  6. To define the extrusion direction and distance do one of the following:
    • Pick a point in the 3D view that does no lie on the same plane as the face.
    • Make sure the pointer is on the correct side of the face in the 3D view and enter a Distance.

Options

The modifier key mentioned here can be changed. See Draft Preferences.

  • Hold Shift to extrude in a direction that is not parallel to the normal of the face.

Preferences

See also: Preferences Editor and Draft Preferences.

  • To change the number of decimals used for the input of the distance: Edit → Preferences... → General → Units → Units settings → Number of decimals.

Scripting

See also: Autogenerated API documentation and FreeCAD Scripting Basics.

There is no Python method to trim objects. To extrude objects use the extrude method of the Draft module.

extrusion = extrude(obj, vector, solid=False)
  • obj is the object to be extruded.
  • vector is the extrusion direction and distance.
  • If solid is True a solid is created instead of a shell.
  • extrusion is returned with the created object.

Example:

import FreeCAD as App
import Draft

doc = App.newDocument()

rectangle = Draft.make_rectangle(1500, 500)
doc.recompute()

vector = App.Vector(0, 0, 300)
solid = Draft.extrude(rectangle, vector, solid=True)
doc.recompute()


Arrow-left.svg Previous: Draft Offset.svg Offset
Next: Stretch Draft Stretch.svg Arrow-right.svg